Enumerations
libebook::EBOOKOPFToken Namespace Reference

## Enumerations
enum | { INVALID_TOKEN = 0 , FIRST_TOKEN = EBOOKToken<EBOOKOPFParser>::FIRST_TOKEN , dc , opf , xml , xmlns , Contributor , Coverage , Creator , Date , Description , Format , Identifier , Language , Publisher , Relation , Rights , Source , Subject , Title , Type , contributor , coverage , creator , date , dc_metadata , description , format , guide , identifier , item , itemref , language , manifest , meta , metadata , package , publisher , reference , relation , rights , site , source , spine , subject , title , tour , tours , type , x_metadata , content , event , fallback , fallback_style , file_as , href , id , idref , lang , linear , media_type , name , required_modules , required_namespace , role , scheme , toc , unique_identifier , version , MIME_image , MIME_oeb , MIME_xhtml , _2_0 , _3_0 , aut , creation , edt , modification , no , publication , yes , LAST_TOKEN }
enum | Namespace { NS_dc = dc << 16 , NS_opf = opf << 16 , NS_xml = xml << 16 , NS_xmlns = xmlns << 16 }

## Enumeration Type Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
INVALID_TOKEN |
FIRST_TOKEN |
dc |
opf |
xml |
xmlns |
Contributor |
Coverage |
Creator |
Date |
Description |
Format |
Identifier |
Language |
Publisher |
Relation |
Rights |
Source |
Subject |
Title |
Type |
contributor |
coverage |
creator |
date |
dc_metadata |
description |
format |
guide |
identifier |
item |
itemref |
language |
manifest |
meta |
metadata |
package |
publisher |
reference |
relation |
rights |
site |
source |
spine |
subject |
title |
tour |
tours |
type |
x_metadata |
content |
event |
fallback |
fallback_style |
file_as |
href |
id |
idref |
lang |
linear |
media_type |
name |
required_modules |
required_namespace |
role |
scheme |
toc |
unique_identifier |
version |
MIME_image |
MIME_oeb |
MIME_xhtml |
_2_0 |
_3_0 |
aut |
creation |
edt |
modification |
no |
publication |
yes |
LAST_TOKEN |

## ◆ Namespace

enum libebook::EBOOKOPFToken::Namespace

Enumerator
NS_dc |
NS_opf |
NS_xml |
NS_xmlns |